#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x79cab1b8, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x14f0f0ac, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xd787d3b2, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xe6cc37a6, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xb0315816, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x657a67c1, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x37037508, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xddfd705d, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xdddb03a0, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x001c32b7, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x07064899, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x8d1e7481, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x813defe7, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x042f611a, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x38bc8d6b, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xec09df46, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xe2ed10ab, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xfff00959, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xa5fa6d29, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x4432c2b8, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x0536c9bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x854ef048, "mdiobus_write" },
	{ 0xec9d3f3e, "mdiobus_read" },
	{ 0x9ac8aaf9, "phy_write_mmd" },
	{ 0x26c645be, "phy_modify" },
	{ 0x2dfe5872, "phy_trigger_machine" },
	{ 0x7878c706, "phy_error" },
	{ 0xe29d578f, "phy_modify_changed" },
	{ 0xf645f125, "genphy_update_link" },
	{ 0xd2f245f7, "genphy_read_lpa" },
	{ 0x85346fd8, "phy_resolve_aneg_pause" },
	{ 0xf7e4d4c6, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc9f4d20, "_dev_err" },
	{ 0xadf63eb1, "phy_read_mmd" },
	{ 0x458efe0b, "ethnl_cable_test_result_with_src" },
	{ 0x26c18b37, "ethnl_cable_test_fault_length_with_src" },
	{ 0xce88fabc, "phy_modify_mmd" },
	{ 0xd75602f7, "genphy_soft_reset" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
