#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x775ef249, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x59dcba2e, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x1eda2c84, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x13e6ce17, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x012af759, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x46eda4fe, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x7afa22f9, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xb1f7b1a8, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x292ba593, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x4feb62a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf4b1c14c, "dst_cache_set_ip4" },
	{ 0x8005c5cf, "kernel_bind" },
	{ 0x1a6e4060, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d124871, "netdev_warn" },
	{ 0xf178743f, "udp_tunnel_nic_ops" },
	{ 0x6d1f49da, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbc0b1263, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x5c79582a, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5612052b, "iptunnel_xmit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe5dd0e33, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc726c0ea, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf0184ae1, "__dynamic_netdev_dbg" },
	{ 0x854bc2f, "dst_cache_get_ip4" },
	{ 0xbd21353a, "sock_create_kern" },
	{ 0x29f982, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe1692559, "metadata_dst_alloc" },
	{ 0xf6759ec2, "dst_release" },
	{ 0xf0331b7b, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa9ccbac4, "sock_bindtoindex" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.7");
