#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev_rcu, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0xdc89ee4f, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x5c91e9d4, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0xa7dc3fa9, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x1cc4792c, "");
SYMBOL_CRC(mana_gd_register_device, 0x750088b2, "");
SYMBOL_CRC(mana_gd_deregister_device, 0xfb959199, "");
SYMBOL_CRC(mana_uncfg_vport, 0xbef4328f, "");
SYMBOL_CRC(mana_cfg_vport, 0xca3de860, "");
SYMBOL_CRC(mana_create_wq_obj, 0x5c83cf20, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0xa2096d1a, "");
SYMBOL_CRC(mana_get_primary_netdev_rcu, 0x5d6dec64, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba2538a, "__tracepoint_xdp_exception" },
	{ 0xa86cb815, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb1f704a3, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea227867, "bpf_prog_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd01f952d, "pci_enable_device" },
	{ 0x5509edc4, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa98a8d4f, "auxiliary_device_init" },
	{ 0xf00d8802, "pci_iomap" },
	{ 0x2fc8db14, "pci_alloc_irq_vectors" },
	{ 0x36dc92d7, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xaf91ae11, "bpf_warn_invalid_xdp_action" },
	{ 0xe032c826, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x1f7687, "debugfs_create_u16" },
	{ 0xcb601c06, "dma_unmap_page_attrs" },
	{ 0x2a1582, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x53338ea6, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9fc2a57c, "page_pool_destroy" },
	{ 0x6e0aa658, "xdp_do_redirect" },
	{ 0xfe787996, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d124871, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7917da0b, "pci_irq_vector" },
	{ 0x4fc79962, "__netif_napi_del" },
	{ 0xc2e7d67d, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x61a7f9d7, "__dynamic_dev_dbg" },
	{ 0xbfdd8f4, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbac4d964, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xccbc208, "pskb_expand_head" },
	{ 0xd1965b1f, "dev_driver_string" },
	{ 0xbd3252cb, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x97caa8ae, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fc8ce75, "dma_map_page_attrs" },
	{ 0x1ab25516, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x84a8b14f, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53ccda3e, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc438b685, "netif_device_detach" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xe3328141, "_dev_info" },
	{ 0xe45e65ad, "napi_gro_receive" },
	{ 0x21747687, "netif_device_attach" },
	{ 0x27a8d004, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaed4ca32, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc9f4d20, "_dev_err" },
	{ 0x686db5cd, "simple_open" },
	{ 0xbf8899b3, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x90c2870d, "netif_set_real_num_tx_queues" },
	{ 0xd79efb01, "__auxiliary_device_add" },
	{ 0x96b0c08a, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x61dbb1c1, "netdev_printk" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xa5b42250, "dma_alloc_attrs" },
	{ 0xb1c70f17, "debugfs_remove" },
	{ 0x4a52f668, "pcie_flr" },
	{ 0x311c4de4, "napi_enable" },
	{ 0x122cabb4, "register_netdev" },
	{ 0x36984d8a, "ida_free" },
	{ 0x727dc90, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1e5a7d0, "ethtool_op_get_link" },
	{ 0xd7391743, "__SCK__tp_func_xdp_exception" },
	{ 0xc351fbb7, "pci_iounmap" },
	{ 0xeb932660, "netif_tx_wake_queue" },
	{ 0x5391fb16, "device_del" },
	{ 0x3d9b5289, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x609505f1, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9258ba40, "__alloc_pages" },
	{ 0x2bed66f3, "pci_set_master" },
	{ 0x92fabb56, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb130468c, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1881a958, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe3ec8052, "debugfs_create_file" },
	{ 0x7442c4d9, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0x2e1cf3d8, "pci_release_regions" },
	{ 0xb13c11cd, "bpf_prog_add" },
	{ 0x76281847, "xdp_rxq_info_unreg" },
	{ 0xb451d489, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4d2286c2, "napi_build_skb" },
	{ 0x4ca68343, "netdev_master_upper_dev_get_rcu" },
	{ 0x82d76e53, "__folio_put" },
	{ 0x701ec83e, "__xdp_rxq_info_reg" },
	{ 0x4437f26f, "xdp_set_features_flag" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9c0e2e9a, "netif_carrier_off" },
	{ 0x7813aad6, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdf21a436, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x8021d29d, "dma_set_mask" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0xc14fd83, "xdp_master_redirect" },
	{ 0xbfa25fb1, "__napi_schedule_irqoff" },
	{ 0xdd1dbf86, "napi_schedule_prep" },
	{ 0x36c30b44, "napi_consume_skb" },
	{ 0x274eb5ce, "napi_disable" },
	{ 0x182d0e79, "dev_kfree_skb_any_reason" },
	{ 0x229484cd, "netdev_stats_to_stats64" },
	{ 0xa70da230, "debugfs_create_dir" },
	{ 0xb3d14f28, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0xfb6f3cf7, "netdev_info" },
	{ 0x46ce4ed0, "page_pool_put_unrefed_page" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7E83E50B9C2CE50BA11A98E");
MODULE_INFO(rhelversion, "9.7");
