#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x197b6cc2, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xe501bc6e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc5f6f56, "netdev_core_stats_inc" },
	{ 0xb1e8b420, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x8065ad5c, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe8b377f1, "___pskb_trim" },
	{ 0x8d057432, "__skb_get_hash_symmetric_net" },
	{ 0xf087f62b, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x935a90f8, "__mutex_rt_init" },
	{ 0xf03a2846, "__init_waitqueue_head" },
	{ 0xbce66c4b, "sock_init_data_uid" },
	{ 0x3ce2af51, "sk_free" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe45e65ad, "napi_gro_receive" },
	{ 0x1ab25516, "napi_complete_done" },
	{ 0x6e0aa658, "xdp_do_redirect" },
	{ 0xaf91ae11, "bpf_warn_invalid_xdp_action" },
	{ 0xba2538a, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x99e1d0f2, "xdp_return_frame_rx_napi" },
	{ 0x84fb2812, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x90e07ef3, "build_skb" },
	{ 0x5509edc4, "skb_put" },
	{ 0xd87dbbc7, "skb_set_owner_w" },
	{ 0x4e6b9888, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa318eac5, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc14fd83, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x82d76e53, "__folio_put" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf59ff11e, "add_wait_queue" },
	{ 0x54ded64f, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf2ff06e8, "napi_get_frags" },
	{ 0x3c3407aa, "iov_iter_single_seg_count" },
	{ 0xccbc208, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x54a2904e, "skb_queue_purge_reason" },
	{ 0x274eb5ce, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x76281847, "xdp_rxq_info_unreg" },
	{ 0x4fc79962, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x14e80b76, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49ddf453, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x90c2870d, "netif_set_real_num_tx_queues" },
	{ 0x96b0c08a, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2e7d67d, "unregister_netdevice_queue" },
	{ 0x699ef742, "netdev_state_change" },
	{ 0x74c0abb6, "consume_skb" },
	{ 0xdd918203, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x95eff15d, "__skb_flow_dissect" },
	{ 0xa7dc845e, "skb_partial_csum_set" },
	{ 0x7c7b09fb, "__pskb_pull_tail" },
	{ 0x31999df5, "_copy_from_iter" },
	{ 0xe5994b28, "iov_iter_npages" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0xa8b14b87, "skb_copy_datagram_from_iter" },
	{ 0x97caa8ae, "eth_type_trans" },
	{ 0x2bfc0b94, "sock_alloc_send_pskb" },
	{ 0x41019925, "zerocopy_sg_from_iter" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0x8fb30d69, "do_xdp_generic" },
	{ 0xb92cd654, "iov_iter_revert" },
	{ 0xd910d9b4, "skb_push" },
	{ 0x620688d9, "eth_get_headlen" },
	{ 0xdd1dbf86, "napi_schedule_prep" },
	{ 0x25238d1e, "napi_gro_frags" },
	{ 0x4d9cb1f8, "__napi_schedule" },
	{ 0x1b9d9550, "__page_frag_cache_drain" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xe24588be, "xdp_rxq_info_is_reg" },
	{ 0x701ec83e, "__xdp_rxq_info_reg" },
	{ 0xbd3252cb, "xdp_rxq_info_reg_mem_model" },
	{ 0x36dc92d7, "netif_napi_add_weight" },
	{ 0x311c4de4, "napi_enable" },
	{ 0xdb0bdfac, "lock_sock_nested" },
	{ 0x30adadcb, "sk_attach_filter" },
	{ 0x44e718a1, "release_sock" },
	{ 0xd7525442, "__dev_get_by_name" },
	{ 0x63d3f6f7, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x2385f2e7, "alloc_netdev_mqs" },
	{ 0x4fe513a8, "ip_tunnel_header_ops" },
	{ 0x56411388, "register_netdevice" },
	{ 0xeb932660, "netif_tx_wake_queue" },
	{ 0xe53adb3d, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x727dc90, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xae02fc75, "get_net_ns" },
	{ 0x29506219, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x953174fe, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x313a2e4c, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x88fe7592, "netdev_update_features" },
	{ 0x46b046cc, "sk_detach_filter" },
	{ 0x29200590, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x9dc5b6ae, "make_kuid" },
	{ 0x57c33912, "init_user_ns" },
	{ 0xdb67e85f, "from_kuid" },
	{ 0x29f982, "call_netdevice_notifiers" },
	{ 0xa1304fa2, "__module_get" },
	{ 0xf863a6a7, "from_kgid" },
	{ 0x31b10f28, "passthru_features_check" },
	{ 0x6bc7177, "eth_mac_addr" },
	{ 0xfe787996, "eth_validate_addr" },
	{ 0x1e5a7d0, "ethtool_op_get_link" },
	{ 0xa5a7d0f6, "ethtool_op_get_ts_info" },
	{ 0xd7391743, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe6815d1f, "fasync_helper" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xcf215f2f, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfb6f3cf7, "netdev_info" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4cb3cc0, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xe784d81d, "from_kgid_munged" },
	{ 0x34fbf648, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xed13067e, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x65bb466f, "dev_get_tstats64" },
	{ 0x30824663, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4fcdf81a, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x2981e102, "rtnl_link_register" },
	{ 0x6bf6a0b8, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8d1e363c, "misc_deregister" },
	{ 0x4a789d36, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x64218ad, "xdp_return_frame" },
	{ 0x786b85e3, "sk_skb_reason_drop" },
	{ 0xcac77319, "__wake_up_sync_key" },
	{ 0xaa80ecc0, "kill_fasync" },
	{ 0x7813aad6, "netif_carrier_on" },
	{ 0x9c0e2e9a, "netif_carrier_off" },
	{ 0xea227867, "bpf_prog_put" },
	{ 0x5959d773, "_copy_to_iter" },
	{ 0x74d6a089, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x95161a97, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbac4d964, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77881cfd, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x83aaae84, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2452b62d, "skb_copy_ubufs" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4701F56964F102809C59910");
MODULE_INFO(rhelversion, "9.7");
