#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xe26f7075, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x99b4cf2c, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x11a71c5a, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xc9e8d633, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x4a42c35c, "__skb_checksum_complete" },
	{ 0xc707c914, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc181fce4, "skb_copy_bits" },
	{ 0x54be6ed1, "__nlmsg_put" },
	{ 0xc011919f, "netdev_adjacent_change_commit" },
	{ 0x6bc7177, "eth_mac_addr" },
	{ 0x5509edc4, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x35482e95, "ip6_dst_hoplimit" },
	{ 0x595d38bf, "param_ops_ushort" },
	{ 0x74c0abb6, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x775ef249, "udp_sock_create4" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0xc57c8ecb, "udp_tunnel6_xmit_skb" },
	{ 0x2981e102, "rtnl_link_register" },
	{ 0x35f83df8, "__unregister_nexthop_notifier" },
	{ 0xceb3428a, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xfe787996, "eth_validate_addr" },
	{ 0xb8d22c34, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x50ffd4ac, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x58355ba5, "rtnl_create_link" },
	{ 0xc2e7d67d, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x79d9b02a, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xe53adb3d, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x13e6ce17, "udp_tunnel_drop_rx_port" },
	{ 0xccbc208, "pskb_expand_head" },
	{ 0x2bc9e016, "netdev_upper_dev_link" },
	{ 0xdf9c23a3, "register_pernet_subsys" },
	{ 0x97caa8ae, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xb8681e12, "__alloc_skb" },
	{ 0x12af759, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x75ef571b, "eth_gro_complete" },
	{ 0xf5847673, "rtnl_set_sk_err" },
	{ 0x35fc9a0, "eth_gro_receive" },
	{ 0x54f5f757, "rtnl_configure_link" },
	{ 0x2ee94f4a, "skb_tunnel_check_pmtu" },
	{ 0x4feb62a0, "udp_tunnel_dst_lookup" },
	{ 0xda86893e, "rtnl_unicast" },
	{ 0x2d89e4f4, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xaed4ca32, "__skb_get_hash_net" },
	{ 0x1a6c26a5, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x55dbd5e5, "__dev_get_by_index" },
	{ 0x4a789d36, "rtnl_link_unregister" },
	{ 0xbc0b1263, "ipv6_stub" },
	{ 0x8f2bdf4b, "skb_pull" },
	{ 0x3e46754d, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x786b85e3, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xd344b283, "dev_get_by_index_rcu" },
	{ 0xfdb50d58, "gro_cells_receive" },
	{ 0xd910d9b4, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x5237f3e3, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x727dc90, "free_netdev" },
	{ 0x8362c10c, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x1eda2c84, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xdb0bdfac, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1e5a7d0, "ethtool_op_get_link" },
	{ 0x431e447f, "nexthop_find_by_id" },
	{ 0xdf2cec90, "arp_create" },
	{ 0x3d39d376, "__ethtool_get_link_ksettings" },
	{ 0xd2419565, "netdev_adjacent_change_prepare" },
	{ 0x4c7d800b, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x2ad46276, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8598e4f1, "rhashtable_free_and_destroy" },
	{ 0x6aad3c4b, "rht_bucket_nested_insert" },
	{ 0x2c8b191d, "netdev_adjacent_change_abort" },
	{ 0xb1f7b1a8, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe4eb9130, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf7e945f3, "__iptunnel_pull_header" },
	{ 0x7c7b09fb, "__pskb_pull_tail" },
	{ 0x65bb466f, "dev_get_tstats64" },
	{ 0x54773f8e, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xacf76ac8, "rhashtable_destroy" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x59dcba2e, "setup_udp_tunnel_sock" },
	{ 0xe48c4067, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc726c0ea, "skb_trim" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf0184ae1, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe80542d1, "skb_scrub_packet" },
	{ 0x73a84c3d, "nexthop_select_path" },
	{ 0xa1d5ea8c, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc5763c3e, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd4d2a2c6, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd22c432, "param_ops_bool" },
	{ 0x292ba593, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf28b8a00, "rtnl_notify" },
	{ 0x7afa22f9, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x74ae03f1, "__netif_rx" },
	{ 0x943b42c3, "skb_clone" },
	{ 0xe1692559, "metadata_dst_alloc" },
	{ 0xf6759ec2, "dst_release" },
	{ 0xad60bc75, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x46eda4fe, "udp_tunnel_notify_del_rx_port" },
	{ 0x921861a3, "register_nexthop_notifier" },
	{ 0xffb97c33, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x1ce8654, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfc5f6f56, "netdev_core_stats_inc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0xfb6f3cf7, "netdev_info" },
	{ 0x6411ee34, "neigh_lookup" },
	{ 0x44e718a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x56411388, "register_netdevice" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FA7CF23B56E36E1596B63F3");
MODULE_INFO(rhelversion, "9.7");
