#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x637b5e9e, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xc202bf2d, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x4e82af54, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xffb0bcf6, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xbfc19648, "_gpl");
SYMBOL_CRC(br_forward, 0x3202be7a, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xf56b0136, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x2cef6d05, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xadf3ba5c, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xb61a77b8, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xbc920920, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x1cfaa6aa, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x4263fddc, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x83e47249, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x2e42906c, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x4e97f779, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x3395bbf7, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xb33129fc, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x960ed44a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xd29f6171, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x884047e9, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x99fa9f06, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xc5b60dec, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x7e9f48e5, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x856b27ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca8da2f0, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x34031dcb, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc181fce4, "skb_copy_bits" },
	{ 0x54be6ed1, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf70e2d8a, "ipv6_mc_check_mld" },
	{ 0x5509edc4, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa0127b45, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x88fe7592, "netdev_update_features" },
	{ 0x74c0abb6, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xca41812d, "dev_uc_del" },
	{ 0x2981e102, "rtnl_link_register" },
	{ 0x894e84bb, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xefc488ba, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x25d8284e, "dev_set_promiscuity" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb8d22c34, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc2e7d67d, "unregister_netdevice_queue" },
	{ 0x8d642627, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x699ef742, "netdev_state_change" },
	{ 0x8c916229, "__pskb_copy_fclone" },
	{ 0xd7525442, "__dev_get_by_name" },
	{ 0xe53adb3d, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbac4d964, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xccbc208, "pskb_expand_head" },
	{ 0xdf9c23a3, "register_pernet_subsys" },
	{ 0x7c0b38ae, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xedba7184, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2385f2e7, "alloc_netdev_mqs" },
	{ 0x31b10f28, "passthru_features_check" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa35423f1, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x42a500e2, "__SCK__tp_func_br_mdb_full" },
	{ 0xfaa502d2, "rtnl_af_register" },
	{ 0xe40d405b, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xb8681e12, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf2a9b84a, "kmem_cache_alloc" },
	{ 0xf5847673, "rtnl_set_sk_err" },
	{ 0x7248017, "skb_vlan_pop" },
	{ 0xda86893e, "rtnl_unicast" },
	{ 0xcdac4c31, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x97094c49, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x480a5a21, "nla_reserve_64bit" },
	{ 0x1852bf47, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x55dbd5e5, "__dev_get_by_index" },
	{ 0x4a789d36, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x720574db, "init_net" },
	{ 0xbc0b1263, "ipv6_stub" },
	{ 0xa37a67b8, "inet_confirm_addr" },
	{ 0x8f2bdf4b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7bd3749d, "sysfs_remove_link" },
	{ 0x8ddd8f3d, "skb_vlan_untag" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x72189434, "__SCK__tp_func_br_fdb_add" },
	{ 0xb2f5303e, "rtnl_af_unregister" },
	{ 0x786b85e3, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb5caae10, "arp_send" },
	{ 0xd344b283, "dev_get_by_index_rcu" },
	{ 0x660f4a91, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xd910d9b4, "skb_push" },
	{ 0x7374de1a, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf7b0df8e, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x5237f3e3, "netdev_upper_dev_unlink" },
	{ 0x4cb3cc0, "netif_receive_skb" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3d943f3a, "llc_mac_hdr_init" },
	{ 0x727dc90, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xdc568e42, "__SCK__tp_func_fdb_delete" },
	{ 0x3f2998ae, "kobject_init_and_add" },
	{ 0x187e719d, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x63d3f6f7, "ns_capable" },
	{ 0x5f14c112, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8c2d410d, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1e5a7d0, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xdf2cec90, "arp_create" },
	{ 0x3d39d376, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x637980f8, "stp_proto_register" },
	{ 0x4c7d800b, "rtnl_register_module" },
	{ 0xc1db0903, "__tracepoint_br_fdb_update" },
	{ 0xc42ccf0c, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x2ad46276, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6aad3c4b, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7c7b09fb, "__pskb_pull_tail" },
	{ 0x65bb466f, "dev_get_tstats64" },
	{ 0x54773f8e, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x57fb026c, "ip_mc_check_igmp" },
	{ 0x46c6526a, "__netdev_alloc_skb" },
	{ 0xacf76ac8, "rhashtable_destroy" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0xe5a5c386, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa6fb5967, "kobject_create_and_add" },
	{ 0xc726c0ea, "skb_trim" },
	{ 0x420641f9, "nf_hook_slow" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf0184ae1, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf8348a41, "__ip_mc_inc_group" },
	{ 0xac92637e, "netdev_walk_all_upper_dev_rcu" },
	{ 0x6fc248ac, "sysfs_remove_group" },
	{ 0x6ced02d1, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xa1d5ea8c, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc84150e7, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe1fcbd67, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3ec2f326, "vlan_vid_add" },
	{ 0xd4d2a2c6, "neigh_destroy" },
	{ 0xb760acfa, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xba78b707, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x8200fbca, "__SCK__tp_func_br_fdb_update" },
	{ 0x29f982, "call_netdevice_notifiers" },
	{ 0x8a5caf89, "is_skb_forwardable" },
	{ 0xe2c2fc8, "vlan_vid_del" },
	{ 0x927f06a6, "dev_set_allmulti" },
	{ 0x7fa3fac8, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x40376696, "netdev_master_upper_dev_get" },
	{ 0x5046d3bf, "ipv6_dev_mc_inc" },
	{ 0xf28b8a00, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9c0e2e9a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdf7bcbe8, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x943b42c3, "skb_clone" },
	{ 0xeb2cdbaa, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xe1692559, "metadata_dst_alloc" },
	{ 0xf6759ec2, "dst_release" },
	{ 0x7813aad6, "netif_carrier_on" },
	{ 0x76bb82c9, "kobject_uevent" },
	{ 0xad60bc75, "arp_tbl" },
	{ 0xd1095b8c, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9ad64396, "netdev_rx_handler_register" },
	{ 0xe272af88, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf97c1329, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x237df3d4, "dev_disable_lro" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0xd392b257, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xce861640, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x182d0e79, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xad2c44a6, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x782997f, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x3a664ec, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x7c9a2ec8, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x76bb1463, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x6411ee34, "neigh_lookup" },
	{ 0x38a8eb10, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf52501c6, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x56411388, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "1028242921EF9F3F06F11F8");
MODULE_INFO(rhelversion, "9.7");
