#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xdf2b988b, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xa250e776, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x7f175e05, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xc64c8e83, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xbe500910, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xe97bc4b7, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xeff80eda, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xb6591017, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x36cabc5f, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xdfd2f95d, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x7e0993a8, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x5f4ed6b6, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x2dac7baa, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xd106790b, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x1332df24, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x317e998a, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xf12ccd49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xb7a4981c, "flow_rule_alloc" },
	{ 0x5349a1b3, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xae856e61, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x15344256, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x28a734f4, "neigh_xmit" },
	{ 0xa06e7b12, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0xb8d22c34, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7322eaf2, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x28ef5680, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xccbc208, "pskb_expand_head" },
	{ 0xdf9c23a3, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb924756b, "down_write" },
	{ 0xb3cc0d0d, "up_write" },
	{ 0x8f2bdf4b, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x49b2a19, "dev_get_by_index" },
	{ 0xd344b283, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd528a01d, "mutex_lock" },
	{ 0xa9ea62f0, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbf0662fd, "flow_indr_dev_setup_offload" },
	{ 0xcf746fa2, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x2ad46276, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6aad3c4b, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7c7b09fb, "__pskb_pull_tail" },
	{ 0xacf76ac8, "rhashtable_destroy" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x346d4a68, "down_read" },
	{ 0x37fb7bdf, "inet_proto_csum_replace16" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa1d5ea8c, "rhashtable_insert_slow" },
	{ 0xb70f9d75, "rt_read_lock" },
	{ 0xe1fcbd67, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaeeb1aa0, "ipv4_mtu" },
	{ 0xd4d2a2c6, "neigh_destroy" },
	{ 0xd5ea48ab, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4806e960, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb58ea34a, "rt_read_unlock" },
	{ 0x2c59a06c, "remove_proc_entry" },
	{ 0x8e9cd5bb, "nf_ct_acct_add" },
	{ 0x49ddf453, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf6759ec2, "dst_release" },
	{ 0x40eb95c2, "nf_ct_l4proto_find" },
	{ 0xa43d11c3, "seq_puts" },
	{ 0x90fea517, "rhashtable_walk_next" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x347d1a3f, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xdcbb0be6, "up_read" },
	{ 0xdf66dbbf, "rhashtable_walk_exit" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "95D507375C32960FF3A1DA6");
MODULE_INFO(rhelversion, "9.7");
