#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x399f1a83, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x760819f4, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xca9e24f3, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x45e21278, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x7979a766, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x0baaee77, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x202e1f15, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x15158c12, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x10b66734, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xd3752d2f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xb7f93e37, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xf656eb60, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x9e1f2d65, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x7c3e487c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x9bce1dc5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x73184183, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x50bf8054, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x193562a9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x2369853f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x182b396d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x116f917b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x03807e80, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xace2fe74, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x5f07fd1d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x29548819, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x2052fcba, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x86c3506f, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x36f94f14, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xbbf12ece, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x1ba04bdd, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x1b2eb506, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x33f42081, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x70e63327, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xffb00b2e, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xd2eb765a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x414dfd20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x251fefdc, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x576f0ace, "vsock_insert_connected" },
	{ 0x5509edc4, "skb_put" },
	{ 0x74c0abb6, "consume_skb" },
	{ 0x391d506, "trace_raw_output_prep" },
	{ 0x122c6a36, "rt_mutex_base_init" },
	{ 0x5d5eafbb, "vsock_remove_sock" },
	{ 0xa68760f3, "trace_event_printf" },
	{ 0x76defac3, "vsock_deliver_tap" },
	{ 0x685b17a8, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ce43e24, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf59ff11e, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf386c9d6, "event_triggers_call" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f40317f, "sk_error_report" },
	{ 0xb6e8b9ab, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x106e0913, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x846e86e9, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xb8681e12, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x31349164, "perf_trace_run_bpf_submit" },
	{ 0x786b85e3, "sk_skb_reason_drop" },
	{ 0x3ce2af51, "sk_free" },
	{ 0x1566e34f, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa5a16662, "__skb_recv_datagram" },
	{ 0xdb0bdfac, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3194cebe, "vsock_stream_has_data" },
	{ 0x74d6a089, "skb_copy_datagram_iter" },
	{ 0xd9618b72, "bpf_trace_run9" },
	{ 0x651980a0, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c5cd7eb, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1abb317e, "rt_spin_unlock" },
	{ 0x5b9d20bf, "bpf_trace_run10" },
	{ 0x73e8baa9, "rt_spin_lock" },
	{ 0x6c602e06, "vsock_core_get_transport" },
	{ 0x5a40e2c0, "__zerocopy_sg_from_iter" },
	{ 0xe23c52e4, "vsock_stream_has_space" },
	{ 0xd87dbbc7, "skb_set_owner_w" },
	{ 0xcff2b723, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x31999df5, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x54ded64f, "remove_wait_queue" },
	{ 0x60ff3a4e, "msg_zerocopy_realloc" },
	{ 0x4262bdc5, "kmalloc_trace" },
	{ 0x4d77d6ff, "vsock_create_connected" },
	{ 0x6aa0a296, "vsock_assign_transport" },
	{ 0xb92cd654, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe5994b28, "iov_iter_npages" },
	{ 0xb39a7832, "kmalloc_caches" },
	{ 0x44e718a1, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x88293b12, "vsock_data_ready" },
	{ 0x6125a9bf, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "47E1979DFA663EF75B54B38");
MODULE_INFO(rhelversion, "9.7");
